package ink.wgink.service.position.pojo.vos;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 * @ClassName: PositionVO
 * @Description: 职位
 * @Author: admin
 * @Date: 2019-04-11 22:26:35
 * @Version: 1.0
 **/
@ApiModel
public class PositionVO {

    @ApiModelProperty(name = "positionParentId", value = "职位上级ID")
    private String positionParentId;

    @ApiModelProperty(name = "positionName", value = "职位名称")
    private String positionName;

    @ApiModelProperty(name = "positionSummary", value = "职位说明")
    private String positionSummary;

    @ApiModelProperty(name = "positionNameEn", value = "英文名称")
    private String positionNameEn;

    public String getPositionParentId() {
        return positionParentId == null ? "" : positionParentId.trim();
    }

    public void setPositionParentId(String positionParentId) {
        this.positionParentId = positionParentId;
    }

    public String getPositionName() {
        return positionName == null ? "" : positionName.trim();
    }

    public void setPositionName(String positionName) {
        this.positionName = positionName;
    }

    public String getPositionSummary() {
        return positionSummary == null ? "" : positionSummary.trim();
    }

    public void setPositionSummary(String positionSummary) {
        this.positionSummary = positionSummary;
    }

    public String getPositionNameEn() {
        return positionNameEn == null ? "" : positionNameEn.trim();
    }

    public void setPositionNameEn(String positionNameEn) {
        this.positionNameEn = positionNameEn;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"positionParentId\":")
                .append("\"").append(positionParentId).append("\"");
        sb.append(",\"positionName\":")
                .append("\"").append(positionName).append("\"");
        sb.append(",\"positionSummary\":")
                .append("\"").append(positionSummary).append("\"");
        sb.append(",\"positionNameEn\":")
                .append("\"").append(positionNameEn).append("\"");
        sb.append('}');
        return sb.toString();
    }
}